Survey: SPITZER OBSERVATIONS OF THE NORTH ECLIPTIC POLE

Telescope: Spitzer

Instrument: IRAC

Filters: IRAC1, IRAC2

Fields: AKARI-NEP

P.I.: J. Bock

Reference: 2018ApJS..234...38N

URL: http://adsabs.harvard.edu/abs/2018ApJS..234...38N
